comedi_do_insnlist
Prev | 5.4.1. Core Functions | Next

## Name

comedi_do_insnlist — perform multiple instructions

## Synopsis

    #include <comedilib.h>

`int comedi_do_insnlist(` | comedi_t * device,
| comedi_insnlist * list`)`;

## Description

The function `comedi_do_insnlist` performs multiple Comedi instructions as part of one system call. This function can be used to avoid the overhead of multiple system calls.

## Return value

The function `comedi_do_insnlist` returns the number of successfully completed instructions. Error information for the unsuccessful instruction is not available. If there is an error before the first instruction can be executed, `-1` is returned.

Prev | Up | Next
comedi_do_insn | Home | comedi_fileno